diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
index 1f40fc6..d58807a 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
@@ -1281,27 +1281,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ranong
+    // Nakhon Ratchasima
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Ranong">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonRatchasima">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ranong</rdfs:label>
-      <skos:definition>The province of Ranong in the country of Thailand</skos:definition>
+      <rdfs:label>Nakhon Ratchasima</rdfs:label>
+      <skos:definition>The province of Nakhon Ratchasima in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ranong</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Ratchasima</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-85">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-30">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Ranong in the country of Thailand</skos:definition>
-      <rdfs:label>TH-85</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-85</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Ranong"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Ranong"/>
+      <skos:definition>subdivision code for the province of Nakhon Ratchasima in the country of Thailand</skos:definition>
+      <rdfs:label>TH-30</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-30</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonRatchasima"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonRatchasima"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1311,27 +1311,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Trat
+    // Surin
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Trat">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Surin">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Trat</rdfs:label>
-      <skos:definition>The province of Trat in the country of Thailand</skos:definition>
+      <rdfs:label>Surin</rdfs:label>
+      <skos:definition>The province of Surin in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Trat</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Surin</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-23">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-32">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Trat in the country of Thailand</skos:definition>
-      <rdfs:label>TH-23</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-23</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Trat"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Trat"/>
+      <skos:definition>subdivision code for the province of Surin in the country of Thailand</skos:definition>
+      <rdfs:label>TH-32</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-32</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Surin"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Surin"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1341,27 +1341,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sa Kaeo
+    // Kanchanaburi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SaKaeo">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Kanchanaburi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sa Kaeo</rdfs:label>
-      <skos:definition>The province of Sa Kaeo in the country of Thailand</skos:definition>
+      <rdfs:label>Kanchanaburi</rdfs:label>
+      <skos:definition>The province of Kanchanaburi in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sa Kaeo</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Kanchanaburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-27">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-71">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sa Kaeo in the country of Thailand</skos:definition>
-      <rdfs:label>TH-27</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-27</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SaKaeo"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SaKaeo"/>
+      <skos:definition>subdivision code for the province of Kanchanaburi in the country of Thailand</skos:definition>
+      <rdfs:label>TH-71</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-71</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Kanchanaburi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Kanchanaburi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1371,27 +1371,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Amnat Charoen
+    // Nakhon Pathom
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;AmnatCharoen">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonPathom">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Amnat Charoen</rdfs:label>
-      <skos:definition>The province of Amnat Charoen in the country of Thailand</skos:definition>
+      <rdfs:label>Nakhon Pathom</rdfs:label>
+      <skos:definition>The province of Nakhon Pathom in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Amnat Charoen</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Pathom</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-37">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-73">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Amnat Charoen in the country of Thailand</skos:definition>
-      <rdfs:label>TH-37</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-37</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;AmnatCharoen"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;AmnatCharoen"/>
+      <skos:definition>subdivision code for the province of Nakhon Pathom in the country of Thailand</skos:definition>
+      <rdfs:label>TH-73</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-73</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonPathom"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonPathom"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1401,27 +1401,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Loei
+    // Phuket
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Loei">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phuket">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Loei</rdfs:label>
-      <skos:definition>The province of Loei in the country of Thailand</skos:definition>
+      <rdfs:label>Phuket</rdfs:label>
+      <skos:definition>The province of Phuket in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Loei</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phuket</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-42">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-83">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Loei in the country of Thailand</skos:definition>
-      <rdfs:label>TH-42</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-42</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Loei"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Loei"/>
+      <skos:definition>subdivision code for the province of Phuket in the country of Thailand</skos:definition>
+      <rdfs:label>TH-83</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-83</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phuket"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phuket"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1431,27 +1431,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Roi Et
+    // Chumphon
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;RoiEt">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chumphon">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Roi Et</rdfs:label>
-      <skos:definition>The province of Roi Et in the country of Thailand</skos:definition>
+      <rdfs:label>Chumphon</rdfs:label>
+      <skos:definition>The province of Chumphon in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Roi Et</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chumphon</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-45">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-86">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Roi Et in the country of Thailand</skos:definition>
-      <rdfs:label>TH-45</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-45</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;RoiEt"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;RoiEt"/>
+      <skos:definition>subdivision code for the province of Chumphon in the country of Thailand</skos:definition>
+      <rdfs:label>TH-86</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-86</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chumphon"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chumphon"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1461,27 +1461,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Suphan Buri
+    // Satun
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SuphanBuri">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Satun">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Suphan Buri</rdfs:label>
-      <skos:definition>The province of Suphan Buri in the country of Thailand</skos:definition>
+      <rdfs:label>Satun</rdfs:label>
+      <skos:definition>The province of Satun in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Suphan Buri</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Satun</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-72">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-91">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Suphan Buri in the country of Thailand</skos:definition>
-      <rdfs:label>TH-72</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-72</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SuphanBuri"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SuphanBuri"/>
+      <skos:definition>subdivision code for the province of Satun in the country of Thailand</skos:definition>
+      <rdfs:label>TH-91</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-91</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Satun"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Satun"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1491,27 +1491,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Samut Sakhon
+    // Bueng Kan
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SamutSakhon">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;BuengKan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Samut Sakhon</rdfs:label>
-      <skos:definition>The province of Samut Sakhon in the country of Thailand</skos:definition>
+      <rdfs:label>Bueng Kan</rdfs:label>
+      <skos:definition>The province of Bueng Kan in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Samut Sakhon</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Bueng Kan</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-74">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-38">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Samut Sakhon in the country of Thailand</skos:definition>
-      <rdfs:label>TH-74</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-74</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SamutSakhon"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SamutSakhon"/>
+      <skos:definition>subdivision code for the province of Bueng Kan in the country of Thailand</skos:definition>
+      <rdfs:label>TH-38</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-38</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;BuengKan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;BuengKan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1521,27 +1521,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Surat Thani
+    // Rayong
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SuratThani">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Rayong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Surat Thani</rdfs:label>
-      <skos:definition>The province of Surat Thani in the country of Thailand</skos:definition>
+      <rdfs:label>Rayong</rdfs:label>
+      <skos:definition>The province of Rayong in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Surat Thani</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Rayong</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-84">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-21">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Surat Thani in the country of Thailand</skos:definition>
-      <rdfs:label>TH-84</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-84</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SuratThani"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SuratThani"/>
+      <skos:definition>subdivision code for the province of Rayong in the country of Thailand</skos:definition>
+      <rdfs:label>TH-21</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-21</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Rayong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Rayong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1551,27 +1551,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Pathum Thani
+    // Chanthaburi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PathumThani">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chanthaburi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Pathum Thani</rdfs:label>
-      <skos:definition>The province of Pathum Thani in the country of Thailand</skos:definition>
+      <rdfs:label>Chanthaburi</rdfs:label>
+      <skos:definition>The province of Chanthaburi in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Pathum Thani</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chanthaburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-13">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-22">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Pathum Thani in the country of Thailand</skos:definition>
-      <rdfs:label>TH-13</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-13</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PathumThani"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PathumThani"/>
+      <skos:definition>subdivision code for the province of Chanthaburi in the country of Thailand</skos:definition>
+      <rdfs:label>TH-22</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-22</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chanthaburi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chanthaburi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1581,27 +1581,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ang Thong
+    // Nan
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;AngThong">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Nan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ang Thong</rdfs:label>
-      <skos:definition>The province of Ang Thong in the country of Thailand</skos:definition>
+      <rdfs:label>Nan</rdfs:label>
+      <skos:definition>The province of Nan in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ang Thong</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nan</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-15">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-55">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Ang Thong in the country of Thailand</skos:definition>
-      <rdfs:label>TH-15</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-15</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;AngThong"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;AngThong"/>
+      <skos:definition>subdivision code for the province of Nan in the country of Thailand</skos:definition>
+      <rdfs:label>TH-55</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-55</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Nan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Nan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1611,27 +1611,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chai Nat
+    // Phayao
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChaiNat">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phayao">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chai Nat</rdfs:label>
-      <skos:definition>The province of Chai Nat in the country of Thailand</skos:definition>
+      <rdfs:label>Phayao</rdfs:label>
+      <skos:definition>The province of Phayao in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chai Nat</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phayao</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-18">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-56">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chai Nat in the country of Thailand</skos:definition>
-      <rdfs:label>TH-18</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-18</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChaiNat"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChaiNat"/>
+      <skos:definition>subdivision code for the province of Phayao in the country of Thailand</skos:definition>
+      <rdfs:label>TH-56</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-56</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phayao"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phayao"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1641,27 +1641,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nakhon Ratchasima
+    // Nakhon Sawan
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonRatchasima">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonSawan">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nakhon Ratchasima</rdfs:label>
-      <skos:definition>The province of Nakhon Ratchasima in the country of Thailand</skos:definition>
+      <rdfs:label>Nakhon Sawan</rdfs:label>
+      <skos:definition>The province of Nakhon Sawan in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Ratchasima</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Sawan</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-30">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-60">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nakhon Ratchasima in the country of Thailand</skos:definition>
-      <rdfs:label>TH-30</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-30</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonRatchasima"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonRatchasima"/>
+      <skos:definition>subdivision code for the province of Nakhon Sawan in the country of Thailand</skos:definition>
+      <rdfs:label>TH-60</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-60</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonSawan"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonSawan"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -1671,27 +1671,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Surin
+    // Phitsanulok
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Surin">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phitsanulok">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Surin</rdfs:label>
-      <skos:definition>The province of Surin in the country of Thailand</skos:definition>
+      <rdfs:label>Phitsanulok</rdfs:label>
+      <skos:definition>The province of Phitsanulok in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Surin</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phitsanulok</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-32">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-65">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Surin in the country of Thailand</skos:definition>
-      <rdfs:label>TH-32</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-32</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Surin"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Surin"/>
+      <skos:definition>subdivision code for the province of Phitsanulok in the country of Thailand</skos:definition>
+      <rdfs:label>TH-65</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-65</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phitsanulok"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phitsanulok"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
